KListViewLineEdit class Reference (kdeui Library)

| # kdeui Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# KListViewLineEdit Class Reference

the editor for a KListView. More...

`#include <klistviewlineedit.h>`

Inheritance diagram for KListViewLineEdit:

[legend]
Collaboration diagram for KListViewLineEdit:

[legend]
List of all members.

## Public Slots
void | terminate ()
void | load (QListViewItem *i, int c)
## Signals
void | done (QListViewItem *, int)
## Public Member Functions
| KListViewLineEdit (KListView *parent)
## Protected Slots
void | slotSelectionChanged ()
## Protected Member Functions
virtual void | focusOutEvent (QFocusEvent *)
virtual void | keyPressEvent (QKeyEvent *e)
| Re-implemented for internal reasons.
virtual void | paintEvent (QPaintEvent *e)
virtual bool | event (QEvent *pe)
void | selectNextCell (QListViewItem *pi, int column, bool forward)
| Since: 3.1
void | terminate (bool commit)
## Protected Attributes
QListViewItem * | item
int | col
KListView * | p

## Detailed Description

the editor for a KListView.

please don't use this.

Definition at line 28 of file klistviewlineedit.h.

## Member Function Documentation

void KListViewLineEdit::keyPressEvent | ( | QKeyEvent * | e | ) | `[protected, virtual]`

| Re-implemented for internal reasons. API not affected. See QLineEdit::keyPressEvent(). Reimplemented from KLineEdit. Definition at line 330 of file klistview.cpp. References QKeyEvent::key(), and KLineEdit::keyPressEvent().

void KListViewLineEdit::selectNextCell | ( | QListViewItem * | pi,
|  | int | column,
|  | bool | forward
| ) | `[protected]`

| Since: 3.1 Definition at line 263 of file klistview.cpp. References QListView::columns(), QListView::firstChild(), KStdAccel::forward(), QListViewItem::nextSibling(), QListViewItem::parent(), KListView::rename(), and QListView::setCurrentItem().

The documentation for this class was generated from the following files:

- klistviewlineedit.h
- klistview.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:02:30 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001